Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.datatype.business
Class Contact

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.datatype.business.Contact

All Implemented Interfaces:
  java.io.Serializable

public class Contact
extends UDDIElement

Represents the contact element within the UDDI version 2.0 schema. This class contains the following types of methods:

- Constructor passing required fields.
- Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- A get/setVector method is provided for sets of attributes.
- SaveToXML method. Serializes this class within a passed in element.

Typically, this class is used to construct parameters for, or interpret responses from methods in the UDDIProxy class.

Element description:

Data: Can contain a contact’s name, address, phone, e-mail, and a description of the contact.

Author:
  David Melgar (dmelgar@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`Contact()` Default constructor.
`Contact(org.w3c.dom.Element base)` Construct the object from a DOM tree.
`Contact(java.lang.String personName)` Construct the object with required fields.

Method Summary
`java.util.Vector` | `getAddressVector()` Get address.
`java.lang.String` | `getDefaultDescriptionString()` Get default description string.
`java.util.Vector` | `getDescriptionVector()` Get description.
`java.util.Vector` | `getEmailVector()` Get email.
`PersonName` | `getPersonName()`
`java.lang.String` | `getPersonNameString()`
`java.util.Vector` | `getPhoneVector()` Get phone.
`java.lang.String` | `getUseType()`
`void` | `saveToXML(org.w3c.dom.Element parent)` Save an object to the DOM tree.
`void` | `setAddressVector(java.util.Vector s)` Set address vector.
`void` | `setDefaultDescriptionString(java.lang.String s)` Set default (english) description string.
`void` | `setDescriptionVector(java.util.Vector s)` Set description vector.
`void` | `setEmailVector(java.util.Vector s)` Set email vector.
`void` | `setPersonName(PersonName s)`
`void` | `setPersonName(java.lang.String s)`
`void` | `setPhoneVector(java.util.Vector s)` Set phone vector.
`void` | `setUseType(java.lang.String s)`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### Contact

    public Contact()

  Default constructor. Avoid using the default constructor for validation. It does not validate required fields. Instead, use the required fields constructor to perform validation.

### Contact

    public Contact(java.lang.String personName)

  Construct the object with required fields.

Parameters:
  `personName` - String

### Contact

    public Contact(org.w3c.dom.Element base)
            throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct an object from a received UDDI message.

Parameters:
  `base` - Element with the name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or a disposition report indicating a UDDI error.

Method Detail

### setUseType

    public void setUseType(java.lang.String s)

### setPersonName

    public void setPersonName(PersonName s)

### setPersonName

    public void setPersonName(java.lang.String s)

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector s)

  Set description vector.

  Parameters:
    `s` - Vector of Description objects.

### setDefaultDescriptionString

    public void setDefaultDescriptionString(java.lang.String s)

  Set default (english) description string.

  Parameters:
    `s` - String

### setPhoneVector

    public void setPhoneVector(java.util.Vector s)

  Set phone vector.

  Parameters:
    `s` - Vector of Phone objects.

### setEmailVector

    public void setEmailVector(java.util.Vector s)

  Set email vector.

  Parameters:
    `s` - Vector of Email objects.

### setAddressVector

    public void setAddressVector(java.util.Vector s)

  Set address vector.

  Parameters:
    `s` - Vector of Address objects.

### getUseType

    public java.lang.String getUseType()

### getPersonName

    public PersonName getPersonName()

### getPersonNameString

    public java.lang.String getPersonNameString()

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Get description.

  Returns:
    s Vector of Description objects.

### getDefaultDescriptionString

    public java.lang.String getDefaultDescriptionString()

  Get default description string.

  Returns:
    s String

### getPhoneVector

    public java.util.Vector getPhoneVector()

  Get phone.

  Returns:
    s Vector of Phone objects.

### getEmailVector

    public java.util.Vector getEmailVector()

  Get email.

  Returns:
    s Vector of Email objects.

### getAddressVector

    public java.util.Vector getAddressVector()

  Get address.

  Returns:
    s Vector of Address objects.

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save an object to the DOM tree. Used to serialize an object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.